aboutsummaryrefslogtreecommitdiffstats
path: root/main/pound/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-05-14 17:55:01 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-05-14 17:55:01 +0000
commit3ff3dbe55b44f36f3f30ada4fa3b2569c214b68a (patch)
treeba8f8c6485a09a46a9dc1d444adbb898cb534645 /main/pound/APKBUILD
parent501f043aea075871ba83bcad4b720e18249428f3 (diff)
downloadaports-3ff3dbe55b44f36f3f30ada4fa3b2569c214b68a.tar.gz
aports-3ff3dbe55b44f36f3f30ada4fa3b2569c214b68a.tar.bz2
aports-3ff3dbe55b44f36f3f30ada4fa3b2569c214b68a.tar.xz
main/pound: rebuild against openssl-1.0
Diffstat (limited to 'main/pound/APKBUILD')
-rw-r--r--main/pound/APKBUILD11
1 files changed, 10 insertions, 1 deletions
diff --git a/main/pound/APKBUILD b/main/pound/APKBUILD
index b48afd5893..263438af31 100644
--- a/main/pound/APKBUILD
+++ b/main/pound/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=pound
pkgver=2.5
-pkgrel=1
+pkgrel=2
pkgdesc="A reverse proxy, load balancer, and SSL wrapper"
url="http://www.apsis.ch/pound/index_html"
license="GPL"
@@ -10,9 +10,17 @@ makedepends="pcre-dev openssl-dev"
subpackages="$pkgname-doc"
source="http://www.apsis.ch/$pkgname/Pound-$pkgver.tgz
pound.cfg
+ pound-2.5-openssl.patch
$pkgname.initd"
_builddir="$srcdir"/Pound-$pkgver
+prepare() {
+ cd "$_builddir"
+ for i in "$srcdir"/*.patch; do
+ patch -p1 -i "$i" || return 1
+ done
+}
+
build() {
cd "$_builddir"
./configure --prefix=/usr --sysconfdir=/etc/pound
@@ -28,4 +36,5 @@ package() {
}
md5sums="8a39f5902094619afcda7d12d9d8342c Pound-2.5.tgz
736b12a47acbb7fc2802ed7f51e959d0 pound.cfg
+c2c48dc395ffc045f9d35394992292d0 pound-2.5-openssl.patch
074fc58c89bb70e8fcd767ee70ebd0f0 pound.initd"